#ifndef _RESOURCE_H
#define _RESOURCE_H

#define APPNAME "kerbsystray"

#define WM_SYSTRAY   (WM_APP + 6)
#define WM_SYSTRAY2  (WM_APP + 7)
#define IDM_CLOSE    0x0010
#define IDM_ABOUT    0x0020
#define IDM_LIST     0x0030
#define IDM_PURGE    0x0040

#define KST_ICON           200
#define KSTDLG_TICKETLIST  211
#define KSTDLG_ABOUT       212
#define KSTDLG_TICKETADVANCED 213

#define TICKETLIST_LISTBOX        0
#define TICKETLIST_PROPERTIES     1
#define TICKETLIST_BT_CLOSE       2
#define TICKETLIST_LB_SERVERNAME  3
#define TICKETLIST_EC_SERVERNAME  4
#define TICKETLIST_LB_REALMNAME   5
#define TICKETLIST_EC_REALMNAME   6
#define TICKETLIST_LB_STARTTIME   7
#define TICKETLIST_EC_STARTTIME   8
#define TICKETLIST_LB_ENDTIME     9
#define TICKETLIST_EC_ENDTIME     10
#define TICKETLIST_LB_RENEWTIME   11
#define TICKETLIST_EC_RENEWTIME   12
#define TICKETLIST_LB_KEYENCTYPE  13
#define TICKETLIST_EC_KEYENCTYPE  14
#define TICKETLIST_LB_TKTENCTYPE  15
#define TICKETLIST_EC_TKTENCTYPE  16
#define TICKETLIST_CB_FORWARDABLE 17
#define TICKETLIST_CB_FORWARDED   18
#define TICKETLIST_CB_PREAUTHENTICATED 19
#define TICKETLIST_CB_RENEWABLE   20
#define TICKETLIST_CB_INITIAL     21
#define TICKETLIST_CB_HWAUTHENTICATED 22
#define TICKETLIST_CB_OKASDELEGATE 23
#define TICKETLIST_CB_PROXIABLE   24
#define TICKETLIST_CB_PROXY       25
#define TICKETLIST_CB_MAYPOSTDATE 26
#define TICKETLIST_CB_POSTDATED   27
#define TICKETLIST_BT_ADVANCED    28
#define TICKETLIST_LB_KEYEXPIRATION 29
#define TICKETLIST_EC_KEYEXPIRATION 30
#define TICKETLIST_LB_TIMESKEW    31
#define TICKETLIST_EC_TIMESKEW    32
#define TICKETLIST_LB_CLIENTNAME  33
#define TICKETLIST_EC_CLIENTNAME  34
#define TICKETLIST_LB_TARGETDOMAIN 35
#define TICKETLIST_EC_TARGETDOMAIN 36

#define ADVANCED_EC_FIRST	1000
#define ADVANCED_EC_SECOND	1001
#define ADVANCED_EC_TICKETDUMP  1002
#define ADVANCED_LB_TICKETDUMP  1003
#define ADVANCED_EC_SESSIONKEYDUMP 1004
#define ADVANCED_LB_SESSIONKEYDUMP 1005

#endif
